/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { ContactListingNotes } from './ContactListingNotes';
import type { ContactListings } from './ContactListings';
import type { Member } from './Member';
import type { OUID } from './OUID';
import type { Prospecting } from './Prospecting';

export type Contacts = {
    id?: number;
    Anniversary?: string;
    Birthdate?: string;
    ContactKeyNumeric?: number;
    OwnerMemberKeyNumeric?: number;
    AssistantEmail?: string;
    AssistantName?: string;
    AssistantPhone?: string;
    AssistantPhoneExt?: string;
    BusinessFax?: string;
    Children?: string;
    Company?: string;
    ContactKey?: string;
    ContactLoginId?: string;
    ContactPassword?: string;
    Department?: string;
    DirectPhone?: string;
    Email?: string;
    Email2?: string;
    Email3?: string;
    FirstName?: string;
    FullName?: string;
    HomeAddress1?: string;
    HomeAddress2?: string;
    HomeCarrierRoute?: string;
    HomeCity?: string;
    HomeFax?: string;
    HomePhone?: string;
    HomePostalCode?: string;
    HomePostalCodePlus4?: string;
    JobTitle?: string;
    LastName?: string;
    LeadSource?: string;
    MiddleName?: string;
    MobilePhone?: string;
    NamePrefix?: string;
    NameSuffix?: string;
    Nickname?: string;
    Notes?: string;
    OfficePhone?: string;
    OfficePhoneExt?: string;
    OriginatingSystemContactKey?: string;
    OriginatingSystemID?: number;
    OriginatingSystemName?: string;
    OtherAddress1?: string;
    OtherAddress2?: string;
    OtherCarrierRoute?: string;
    OtherCity?: string;
    OtherPostalCode?: string;
    OtherPostalCodePlus4?: string;
    OwnerMemberID?: string;
    OwnerMemberKey?: string;
    Pager?: string;
    PhoneTTYTDD?: string;
    ReferredBy?: string;
    SourceSystemContactKey?: string;
    SourceSystemID?: number;
    SourceSystemName?: string;
    SpousePartnerName?: string;
    TollFreePhone?: string;
    VoiceMail?: string;
    VoiceMailExt?: string;
    WorkAddress1?: string;
    WorkAddress2?: string;
    WorkCarrierRoute?: string;
    WorkCity?: string;
    WorkPostalCode?: string;
    WorkPostalCodePlus4?: string;
    ContactType?: Array<string>;
    Language?: Array<string>;
    ContactStatus?: string;
    HomeCountry?: string;
    HomeCountyOrParish?: string;
    HomeStateOrProvince?: string;
    OtherCountry?: string;
    OtherCountyOrParish?: string;
    OtherStateOrProvince?: string;
    OtherPhoneType?: string;
    PreferredAddress?: string;
    PreferredPhone?: string;
    WorkCountry?: string;
    WorkCountyOrParish?: string;
    WorkStateOrProvince?: string;
    ModificationTimestamp?: string;
    OriginalEntryTimestamp?: string;
    OwnerMember?: Member;
    OriginatingSystem?: OUID;
    SourceSystem?: OUID;
    ContactListingNotes?: Array<ContactListingNotes>;
    ContactListings?: Array<ContactListings>;
    Prospectings?: Array<Prospecting>;
};

